---
title: Самостоятельная развёртка
template: docs
taxonomy:
    category: docs
routes:
  default: '/selfhosting'
---

Самостоятельный хостинг - это деятельность по созданию и администрированию вашего собственного сервера, как правило, дома, для самостоятельного размещения ваших персональных данных и сервисов вместо того, чтобы полагаться исключительно на третьих лиц. Например, вы можете самостоятельно разместить свой блог, чтобы он "жил" на компьютере, который вы контролируете, вместо того, чтобы размещать его на чьем-то другом компьютере (он же Облако) в обмен на деньги, рекламу или личные данные.

Самостоятельный хостинг подразумевает владение сервером. Сервер - это компьютер, который обычно доступен в сети 24/7 и обычно не имеет экрана или клавиатуры (вместо этого он управляется удаленно). Вопреки распространенному мнению, сервер - это не обязательно огромная и сверхмощная машина: в настоящее время для самостоятельного размещения вполне достаточно небольшой платы ARM стоимостью ~ 30 долларов.

Самостоятельный хостинг не предназначен для того, чтобы сделать "ваш Интернет" более безопасным, и сам по себе не обеспечивает анонимности. Вместо этого речь идет о том, чтобы быть автономным и контролировать свои сервисы и данные, что также означает нести за них ответственность.

## Почему вы должны принимать гостей сами?

- **Вы верите в свободный, открытый и децентрализованный Интернет.** В централизованном Интернете частные компании и правительство могут шпионить, анализировать людей и влиять на них, диктуя, как они взаимодействуют друг с другом, и фильтруя контент. YunoHost разработан сообществом, которое верит в открытый и децентрализованный Интернет, и мы надеемся, что вы тоже верите!

- **Вы хотите иметь контроль над своими данными и сервисами.** Вашим фотографиям, сообщениям в чате, истории посещенных страниц и тексту, который вы пишете для школы, нечего делать на чужом сервере (он же Облако). Они являются частью вашей личной жизни, но также и частью жизни вашей семьи, жизни вашего друга и так далее. Этими данными должны управлять * вы*, а не случайная компания в США, которая хочет, чтобы ваши данные анализировались и продавались результаты.

- **Вы хотите узнать о том, как работают компьютеры и Интернет.** Управление собственным сервером - довольно хороший контекст для понимания основных механизмов, лежащих в основе операционных систем и Интернета. Возможно, вам придется иметь дело с интерфейсом командной строки, сетевой архитектурой, конфигурацией DNS, SSH и так далее.

- **Вы хотите исследовать новые возможности и настраивать вещи.** Вы когда-нибудь мечтали запустить сервер Minecraft для своих друзей или постоянный IRC или XMPP-клиент? Имея свой собственный сервер, вы можете вручную установить и запустить практически любую программу, которую пожелаете, и настроить все до мелочей.

## Почему вы * не должны* принимать гостей сами?

- **Самостоятельный хостинг требует некоторой работы и терпения.** Самостоятельный хостинг немного похож на выращивание собственного сада или овощей: это требует работы и терпения. В то время как YunoHost стремится выполнить всю тяжелую работу за вас, самостоятельный хостинг по-прежнему требует, чтобы вы потратили время на изучение и настройку нескольких вещей для правильной настройки вашего сервера. Вам также нужно будет время от времени выполнять задачи технического обслуживания (например, обновления) или обращаться за поддержкой, если что-то выйдет из строя.

- **С отличными серверами приходит большая ответственность.** Эксплуатация сервера означает, что вы несете ответственность за данные, которые размещаете. Никто не сможет восстановить их для вас, если они потеряются. YunoHost предоставляет функции резервного копирования, которые вы должны регулярно использовать для резервного копирования нужных вам конфигураций и данных. Вам также следует следить за новостями и рекомендациями по безопасности, чтобы ваш сервер или критически важные данные не были скомпрометированы.

- **Качество и производительность, вероятно, будут не так хороши, как услуги премиум-класса.** YunoHost (и большинство приложений, упакованных для него) - это бесплатное программное обеспечение с открытым исходным кодом, разработанное сообществами людей в свободное время и на основе наилучших усилий. Нет абсолютной гарантии, что программное обеспечение будет работать при любых возможных обстоятельствах. Производительность вашего автономного сервера также зависит от его центрального процессора и оперативной памяти, а также от доступного подключения к Интернету.