---
title: NocoDB
template: docs
taxonomy:
    category: docs, apps
routes:
  default: '/app_nocodb'
---

[![Installer NocoDB with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=nocodb) [![Integration level](https://dash.yunohost.org/integration/nocodb.svg)](https://dash.yunohost.org/appci/app/nocodb)

*NocoDB* is an open source NoCode platform that turns any database into a smart spreadsheet, alternative to Airtable.

* Connect to new/existing SQL database and turn them into spreadsheet.
* Create grid view, gallery view, kanban view and calendar view on top your data
* Search, sort, filter columns and rows with ultra ease
* Invite your team with fine grained Access Control
* Share views publicly and also with password protection
* Provides REST & GraphQL APIs with Swagger & GraphiQL GUI

*(from NocoDB's website)*

### Screenshots

![Screenshot of NocoDB](https://github.com/YunoHost-Apps/nocodb_ynh/blob/master/doc/screenshots/example.png)

### Disclaimers / important information

NocoDB has its own authentication system which does not rely on YunoHost's SSO or LDAP server.
  * You can make it public, especially if you need its API.
  * You will need to create the first admin right after installation.

## Useful links

+ Website: [nocodb.com](https://www.nocodb.com/)
+ Demonstration: [Demo](https://www.nocodb.com/demos)
+ Application software repository: [github.com - YunoHost-Apps/nocodb](https://github.com/YunoHost-Apps/nocodb_ynh)
+ Fix a bug or an improvement by creating a ticket (issue): [github.com - YunoHost-Apps/nocodb/issues](https://github.com/YunoHost-Apps/nocodb_ynh/issues)
